Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Setting up target platform for RAP 2.3 and Teneo 2.0
Setting up target platform for RAP 2.3 and Teneo 2.0 [message #1409562] Mon, 18 August 2014 12:06
Davide Da Lio is currently offline Davide Da LioFriend
Messages: 7
Registered: August 2014
Location: Munich
Junior Member
Hi all, I am developing a RAP application and to do so I am compiling and running to a different target platform than the default from the IDE itself. At the same time i need to import some plugin locally so what i've done is to define a target definition with the followinng locations:

- RAP 2.3 - http://download.eclipse.org/rt/rap/2.3/R-20140610-0925/
- Local folder with my plugins

Until now everything was working fine. I am developing also my data model through EMF and using the tools installed locally in my IDE.

Now I have reached the point where I need to add data persistence for my EMF models and I decided to use Teneo with Hibernate integration.

If I have understood correctly by reading here https://wiki.eclipse.org/Teneo/Hibernate/Download_and_Install

I have to add the dependencies to the target platform. In particular since i want to use the latest version i need to use the update sites written there.

In this way what i was hoping is to develop my RAP 2.3 application with the latest features of Teneo 2.0 and Hibernate 4.0.

When i try to add the new remote locations to my target platform i get some errors.

The plugins in the hibernate update sites are correctly imported.

The EMF and Teneo no. In particular when i try ti add EMF/XSD All-in-One SDK as stated in the tutorial i get the following error:

Missing requirement: EMF Databinding Example RCP Project ... requires bundle org.eclipse.ui[3.5.0,4.0.0) but could not be found.

I gently ask if somebody had similar problems, if they have any suggestions on how to do it easily without trying to satisfy the dependency bundle by bundle.

Am I the only one trying to use RAP and Teneo together?

Cheers
Previous Topic:button.getImage() in RAP2.3 error
Next Topic:Scale is slow delivering new selection values
Goto Forum:
  


Current Time: Wed Feb 19 23:13:52 GMT 2020

Powered by FUDForum. Page generated in 0.01825 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top